Bug 1244019 - CinderStorage nodes configured to talk to Nova and Swift api over publicUrl
Summary: CinderStorage nodes configured to talk to Nova and Swift api over publicUrl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: Director
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: Director
Assignee: Giulio Fidente
QA Contact: nlevinki
URL:
Whiteboard:
Depends On: 1244013
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-16 21:53 UTC by Giulio Fidente
Modified: 2015-08-27 05:46 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-heat-templates-0.8.6-44.el7ost
Doc Type: Bug Fix
Doc Text:
Cinder Storage nodes queried Keystone for the Nova and Swift publicurl endpoints, regardless of whether they had access. This meant dedicated Cinder Storage nodes could not interact with Nova and Swift APIs. This fix changes the publicurl endpoints to internalurl endpoints, and Cinder Storage nodes now communicate with Nova and Swift APIs successfully.
Clone Of: 1244013
Environment:
Last Closed: 2015-08-05 13:59:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 202809 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Giulio Fidente 2015-07-16 21:53:29 UTC
CinderStorage nodes are configured to talk to the nova and swift api over the publicUrl; also see BZ 1244013.

Comment 4 nlevinki 2015-07-21 10:45:30 UTC
Verified on the compute node.
Storage node deployment is not supported yet.

Comment 6 errata-xmlrpc 2015-08-05 13:59:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.